@REM 
@REM  Licensed to the Apache Software Foundation (ASF) under one or more
@REM  contributor license agreements.  See the NOTICE file distributed with
@REM  this work for additional information regarding copyright ownership.
@REM  The ASF licenses this file to You under the Apache License, Version 2.0
@REM  (the "License"); you may not use this file except in compliance with
@REM  the License.  You may obtain a copy of the License at
@REM  
@REM        http://www.apache.org/licenses/LICENSE-2.0
@REM  
@REM   Unless required by applicable law or agreed to in writing, software
@REM   distributed under the License is distributed on an "AS IS" BASIS,
@REM   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM   See the License for the specific language governing permissions and
@REM   limitations under the License.
@REM 

@echo off

@echo ============================================
@echo     StoneHenge WCF Service Host Menu     
@echo --------------------------------------------
@echo     1 = Run Services in Debug Mode       
@echo     2 = Run Services in Release Mode     
@echo.


SET runMode=debug
SET errorOccurred=0
choice /c:12 /n
if errorlevel 2 SET runMode=release

:CsHost
IF NOT EXIST "%~dp0config_service\bin\%runMode%\Trade.ConfigServiceConsoleHost.exe" GOTO NoCsHost
START ".NET Configuration Service" "%~dp0config_service\bin\%runMode%\Trade.ConfigServiceConsoleHost.exe"

:OpsHost
IF NOT EXIST "%~dp0order_processor\bin\%runMode%\Trade.orderProcessorConsoleHost.exe" GOTO NoOpsHost
START ".NET Order Processing Service" "%~dp0order_processor\bin\%runMode%\Trade.orderProcessorConsoleHost.exe"

:BsHost
IF NOT EXIST "%~dp0business_service\bin\%runMode%\Trade.BusinessServiceConsole.exe" GOTO NoBsHost
START ".NET Business Service" "%~dp0business_service\bin\%runMode%\Trade.BusinessServiceConsole.exe"

:STSHost
IF NOT EXIST "%~dp0identity_provider\bin\%runMode%\Trade.ActiveStsConsole.exe" GOTO NoSTSHost
START ".NET Active Security Token Service" "%~dp0identity_provider\bin\%runMode%\Trade.ActiveStsConsole.exe"
GOTO Complete

:NoCsHost
@echo No Configuration Service Host available in %runMode%
SET erroroccurred=1
GOTO OpsHost

:NoOpsHost
@echo No Order Processor Host available in %runMode%
SET errorOccurred=1
GOTO BsHost

:NoBsHost
@echo No Business Service Host available in %runMode%
SET errorOccurred=1

:NoSTSHost
@echo No Security Token Service Host available in %runMode%
SET errorOccurred=1

:Complete
IF %errorOccurred%==1 PAUSE
