//
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

//  .Net StockTrader Sample WCF Application for Benchmarking, Performance Analysis and Design Considerations for Service-Oriented Applications

//======================================================================================================
// An interface implemented by the DAL.
//======================================================================================================


using System;
using System.Collections;
using System.Data.SqlClient;
using Trade.BusinessServiceDataContract;

namespace Trade.IDAL
{
    public interface IOrder
    {
        void BeginADOTransaction();
        void RollBackTransaction();
        void CommitADOTransaction();
        void Open(string connString);
        void Close();
        OrderDataModel createOrder(string userID, string symbol, string orderType, double quantity, int holdingID );
        int createHolding(OrderDataModel order);
        void updateHolding(int holdingid, double quantity);
        void updateOrder(OrderDataModel order);
        void deleteHolding(int holdingid);
        QuoteDataModel getQuoteForUpdate(string symbol);
        void closeOrder(OrderDataModel order);
        void updateAccountBalance(int accountID, decimal total);
        void updateStockPriceVolume(double quantity, QuoteDataModel quote);
        HoldingDataModel getHoldingForUpdate(int orderID);
        HoldingDataModel getHolding(int holdingID);
    }
}