//
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

using System.IdentityModel.Selectors;

namespace Trade.Utility
{
    /// <summary>
    /// Note how this class is tied in via a ServiceBehavior, defined in config, to override default Windows auth validation.
    /// </summary>
    public abstract class CustomUserNameValidator : UserNamePasswordValidator
    {
        /// <summary>
        /// Overrides to instead validate the username/password against the Configuration DB Users table.
        /// </summary>
        /// <param name="userName">User id coming in as UserName credentials from client.</param>
        /// <param name="password">Password coming in as UserName credentials from client.</param>
        public override void Validate(string userName, string password)
        {
            //Add custom user name validation if desired here.  Will only be activated if binding security is
            //set for ClientCredentials = UserName.
        }
    }
}