﻿//
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

using System;
using System.Configuration;
using System.Linq;
using System.Text;
using Trade.PassiveStsIDal;
using Trade.PassiveStsModelClasses;
using Trade.Utility;


namespace Trade.PassiveStsImplementation
{
    public class StsClient
    {
        public AccountDataModel login(string userId, string password)
        {
            AccountDataModel account = null;
            ICustomer customer = Trade.PassiveStsDalFactory.Customer.create
                    (ConfigurationManager.AppSettings["DAL"]);
            try
            {
                customer.Open(ConfigurationManager.AppSettings["SqlConnection"]);
                account = customer.login(userId, password);

                return account;
            }
            catch (Exception ex)
            {
                StockTraderUtility.Logger.WriteErrorMessage("StsClient.login Error: " + ex.ToString());
                throw;
            }
            finally
            {
                customer.Close();
            }
        }
    }
}
