/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
CREATE PROCEDURE InsertAccountProfileFromXML(
    @sXML NTEXT
)
AS
begin transaction
    DECLARE @iDoc INT
    EXEC sp_xml_preparedocument @iDoc OUTPUT, @sXML
                       
INSERT INTO dbo.AccountProfile (ADDRESS,PASSWORD,USERID,EMAIL,CREDITCARD,FULLNAME)
 
 SELECT ADDRESS,PASSWORD,USERID,EMAIL,CREDITCARD,FULLNAME
    FROM OPENXML(@iDoc,'/AccountProfile/dbo.AccountProfile',2)
    WITH (	ADDRESS varchar(250) 'ADDRESS', 
			PASSWORD varchar(250) 'PASSWORD', 
			USERID varchar(250) 'USERID',
			EMAIL varchar(250) 'EMAIL',
			CREDITCARD varchar(250) 'CREDITCARD',
			FULLNAME varchar(250) 'FULLNAME');
	commit;
			
    EXEC sp_xml_removedocument @iDoc;
RETURN
