<%@ Page Title="Apache Stonehenge - .NET StockTrader - Advanced Config" Language="C#"
    MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeFile="ConfigurationAdvanced.aspx.cs"
    Inherits="Trade.Web.ConfigurationAdvanced" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <% /* 
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
*/ %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div class="main-title">
        <h1>
            Configuration: Advanced</h1>

        <script type="text/javascript">
            var thisdate = new Date();
            document.writeln(thisdate.toLocaleString());
        </script>

    </div>
    <table border="0" cellspacing="0" cellpadding="4" align="center" style="font-size: small">
        <tr>
            <td width="50%">
                <asp:Label runat="server" ID="BsNameLabel" Text="Business Service" AssociatedControlID="BsName" />
            </td>
            <td width="50%">
                <asp:DropDownList ID="BsName" runat="server" AutoPostBack="true" />
                <asp:HyperLink runat="server" ID="AddNewBs" NavigateUrl="~/ConfigurationAdd.aspx?type=BS" Text="Add New" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="BsUrlLabel" Text="Business Service URL" AssociatedControlID="BsURL" />
                <asp:RequiredFieldValidator runat="server" ID="BsURLRequired" Text="*" 
                    ErrorMessage="Please enter a BS Service URL"
                    ControlToValidate="BsURL" ForeColor="Red" Font-Size="X-Small" />
                <asp:RegularExpressionValidator ID="BsUrlExpressionValidator" runat="server"  
                            ValidationExpression="http(s)?://([\w-\.]+|(\d{1-3}\.?){4})*(:\d*)?(/.*)?" 
                            ControlToValidate="BsURL" Text="*" ErrorMessage="Invalid BS URL specified please use (http://...)" 
                            Font-Size="X-Small" />
            </td>
            <td>
                <asp:TextBox ID="BsURL" runat="server" Width="290px" />
            </td>
        </tr>
        <tr style="height:50px;">
            <td>
                &nbsp;
            </td>
            <td valign="top">
                <asp:CheckBox ID="BsSec" runat="server" Text="Uses secure messaging" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="OpsNameLabel" Text="Order Processing Service" AssociatedControlID="OpsName" />
            </td>
            <td>
                <asp:DropDownList ID="OpsName" runat="server" AutoPostBack="true" />
                <asp:HyperLink runat="server" ID="AddNewOps" NavigateUrl="~/ConfigurationAdd.aspx?type=OPS" Text="Add New" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="OpsURLLabel" Text="Order Processing Service URL" AssociatedControlID="OpsURL" />
                <asp:RequiredFieldValidator runat="server" ID="OpsURLRequired" Text="*" 
                    ErrorMessage="Please enter a OPS Service URL"
                    ControlToValidate="OpsURL" ForeColor="Red" Font-Size="X-Small" />
                <asp:RegularExpressionValidator ID="OpsUrlExpressionValidator" runat="server"  
                            ValidationExpression="http(s)?://([\w-\.]+|(\d{1-3}\.?){4})*(:\d*)?(/.*)?" 
                            ControlToValidate="OpsURL" Text="*" ErrorMessage="Invalid OPS URL specified please use (http://...)" 
                            Font-Size="X-Small" />
            </td>
            <td>
                <asp:TextBox ID="OpsURL" runat="server" Width="290px" />
            </td>
        </tr>
        <tr style="height:50px;">
            <td>
                &nbsp;
            </td>
            <td valign="top">
                <asp:CheckBox ID="OpsSec" runat="server" Text="Uses secure messaging" />
            </td>
        </tr>
        <tr>
            <td colspan="2" class="validator">
                <asp:ValidationSummary runat="server" Id="ValidationSummary1" 
                    Font-Size="X-Small" />
            </td>
        </tr>
        <tr>
            <td colspan="2" style="text-align: center;">
                <asp:Button ID="SetButton" runat="server" Text="Set" CssClass="button" OnClick="SetButton_Click" />
            </td>
        </tr>
        <tr>
            <td style="text-align: right;">
                <asp:Button ID="RestoreDefaultsButton" runat="server" Text="Restore Defaults" CssClass="button"
                    ValidationGroup="NoValidationGroup" OnClick="RestoreDefaults_Click" />
            </td>
            <td>
                <asp:Button ID="BackButton" runat="server" Text="Basic Configuration" CssClass="button"
                    ValidationGroup="NoValidationGroup" OnClick="BackButton_Click" />
            </td>
        </tr>
        <tr>
            <td colspan = "2">
                <asp:Label ID="ConfirmationText" runat="server" Font-Size="Smaller" Visible="false"/>
            </td>
        </tr>
    </table>
</asp:Content>
