//
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

//  .NET StockTrader Sample WCF Application for Benchmarking, Performance Analysis and Design Considerations for Service-Oriented Applications
using System;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using Trade.BusinessServiceClient;
using Trade.StockTraderWebApplicationModelClasses;
using Trade.StockTraderWebApplicationSettings;

namespace Trade.Web
{
    /// <summary>
    /// Displays Portfolio info for a user. 
    /// </summary>
    public partial class Portfolio : System.Web.UI.Page
    {
        public TotalHoldingsUI totalHoldings;

        protected void Page_Load(object sender, EventArgs e)
        {
            BSLClient businessServicesClient = new BSLClient();
            string userid = null;
            totalHoldings = businessServicesClient.getHoldings(userid);
            List<HoldingDataUI> holdingList = totalHoldings.holdings;
            numOfHoldings.Text = totalHoldings.holdings.Count.ToString();
            PortfolioRepeater.DataSource = holdingList;
            PortfolioRepeater.DataBind();
        }
    }
}
