<%@ Page Title="Apache Stonehenge - .NET StockTrader - Quote" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    EnableViewState="false" EnableEventValidation="false"
    CodeFile="Quotes.aspx.cs" Inherits="Trade.Web.Quotes" %>
<%@ Register TagPrefix="controls" TagName="ClosedOrders" Src="Controls/ClosedOrders.ascx"  %>
<%@ Import Namespace="Trade.StockTraderWebApplicationModelClasses" %>
<%@ Import Namespace="Trade.StockTraderWebApplicationSettings" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
<% /* 
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
*/ %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <controls:ClosedOrders id="ClosedOrdersControl" runat="server" ></controls:ClosedOrders>
    
    <div class="main-title">
        <h1>Stock Quotes</h1>
        <script type="text/javascript">
            var thisdate = new Date();
    		document.writeln(thisdate.toLocaleString());
    	</script>
	</div> 

    <table class="table-outer" cellspacing="0" align="center">
        <thead>
            <tr>
                <th>Symbol</th>
                <th>Company</th>
                <th>Volume</th>
                <th>Price Range</th>
                <th>Open Price</th>
                <th>Current Price</th>
                <th>Gain(Loss)</th>
                <th>Trade</th>
            </tr>       
        </thead>
        <tbody>
        <% if (quoteList !=null)
        {
            for (int i = 0; i < quoteList.Count; i++)
            {
            %>
            <tr>
                <td>
                <%=quoteList[i].quoteLink%></td>
                <td>
                <%=quoteList[i].companyName%> </td>
                <td class="currency">
                <%=quoteList[i].volume.ToString("N")%></td>
                <td class="currency">
                <%=quoteList[i].low.ToString("C")%> -  <%=quoteList[i].high.ToString("C")%> </td>
                <td class="currency">
                <%=quoteList[i].open.ToString("C")%></td>
                <td class="currency">
                <%=quoteList[i].price.ToString("C")%></td>
                <td class="currency">
                <%=quoteList[i].gainWithArrow%></td>
                <td>
                <a href="StockTrade.aspx?action=buy&symbol=<%=quoteList[i].symbol%>">Buy</a>
                </td>
            </tr>
            <%}
        }%>
        </tbody>
    </table>

    <div class="bottom">
        <asp:TextBox ID="symbols" runat="server" Text="s:0;s:1;s:2;s:3"></asp:TextBox>
        <asp:Button ID="GetQuoteButton" runat="server" CssClass="button" Text="Get Quote" />
    </div>
</asp:Content>