<?php
/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


// PHP classes corresponding to the data types in defined in WSDL

class GetClientConfig {

    /**
     * @var (object)ClientConfigRequest
     */
    public $client;

}

class ClientConfigRequest {
	/**
	 * @var string $ClientName Client name
	 */
	public $ClientName;
}

class GetClientConfigResponse {

    /**
     * @var (object)ClientConfigResponse
     */
    public $GetClientConfigResult;

}

class ClientConfigResponse {
    
    /**
     * @var string $BS Business service endpoint URL
     */
    public $BS;
    
    /**
     * @var string $BSName Business service name
     */
    public $BSName;
    
    /**
     * @var boolean $Sec Whether service is secured or not 
     */
    public $Sec;

}

class GetBSConfig {

    /**
     * @var (object)BSConfigRequest
     */
    public $bs;

}

class BSConfigRequest {
    /**
     * @var string $BSName BS Name
     */
    public $BSName;
}

class GetBSConfigResponse {

    /**
     * @var (object)BSConfigResponse
     */
    public $GetBSConfigResult;

}

class BSConfigResponse {
    
    /**
     * @var string $DBHost Database host
     */
    public $DBHostName;
    
    /**
     * @var string $DBName Database name
     */
    public $DBName;
    
    /**
     * @var string $DBPort Database port
     */
    public $DBPort;
    
    /**
     * @var string $OPS OPS endpoint URL
     */
    public $OPS;
    
    /**
     * @var string $OPSName OPS Name
     */
    public $OPSName;
    
    /**
     * @var boolean $Sec Service is secured or not
     */
    public $Sec;

}

class GetOPSConfig {

    /**
     * @var (object)OPSConfigRequest
     */
    public $ops;

}

class OPSConfigRequest {

}

class GetOPSConfigResponse {

    /**
     * @var (object)OPSConfigResponse
     */
    public $GetOPSConfigResult;

}

class OPSConfigResponse {

}

class SetClientToBS {

    /**
     * @var (object)ClientToBS
     */
    public $clientConfig;

}

class ClientToBS {
	
	/**
	 * @var string $Bs Business service
	 */
	public $Bs;
	
	/**
	 * @var string $Client Client service
	 */
	public $Client;

}

class SetClientToBSResponse {

}

class SetBSToOPS {

    /**
     * @var (object)BSToOPS
     */
    public $bsConfig;

}

class BSToOPS {
	/**
	 * @var string $Bs Business service
	 */
	public $Bs;
	
	/**
	 * @var string $Ops Order processing service
	 */
	public $Ops;
}

class SetBSToOPSResponse {

}

class GetBSLocations {

}

class GetBSLocationsResponse {

    /**
     * @var (object)ArrayOfServiceLocation
     */
    public $GetBSLocationsResult;

}

class ArrayOfServiceLocation {

    /**
     * @var array[0, unbounded] of (object)ServiceLocation
     */
    public $ServiceLocation;

}

class ServiceLocation {
    /**
     * @var boolean $Sec Whether service is secured or not
     */
      public $Sec;
      
       /**
       * @var string $ServiceName Name of the service
       */
      public $ServiceName;

      /**      
       * @var string $ServiceURL Endpoint URL of the service
       */
      public $ServiceURL;
}

class GetOPSLocations {

}

class GetOPSLocationsResponse {

    /**
     * @var (object)ArrayOfServiceLocation
     */
    public $GetOPSLocationsResult;

}

class SetServiceLocation {

    /**
     * @var (object)ServiceLocation
     */
    public $location;

}

class SetServiceLocationResponse {

}

// define the class map
$class_map = array(
    "GetClientConfig" => "GetClientConfig",
    "ClientConfigRequest" => "ClientConfigRequest",
    "GetClientConfigResponse" => "GetClientConfigResponse",
    "ClientConfigResponse" => "ClientConfigResponse",
    "GetBSConfig" => "GetBSConfig",
    "BSConfigRequest" => "BSConfigRequest",
    "GetBSConfigResponse" => "GetBSConfigResponse",
    "BSConfigResponse" => "BSConfigResponse",
    "GetOPSConfig" => "GetOPSConfig",
    "OPSConfigRequest" => "OPSConfigRequest",
    "GetOPSConfigResponse" => "GetOPSConfigResponse",
    "OPSConfigResponse" => "OPSConfigResponse",
    "SetClientToBS" => "SetClientToBS",
    "ClientToBS" => "ClientToBS",
    "SetClientToBSResponse" => "SetClientToBSResponse",
    "SetBSToOPS" => "SetBSToOPS",
    "BSToOPS" => "BSToOPS",
    "SetBSToOPSResponse" => "SetBSToOPSResponse",
    "GetBSLocations" => "GetBSLocations",
    "GetBSLocationsResponse" => "GetBSLocationsResponse",
    "ArrayOfServiceLocation" => "ArrayOfServiceLocation",
    "ServiceLocation" => "ServiceLocation",
    "GetOPSLocations" => "GetOPSLocations",
    "GetOPSLocationsResponse" => "GetOPSLocationsResponse",
    "SetServiceLocation" => "SetServiceLocation",
    "SetServiceLocationResponse" => "SetServiceLocationResponse");


?>
