/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 
/**
 * ConfigServiceCallbackHandler.java
 *
 * This file was auto-generated from WSDL
 * by the Apache Axis2 version: 1.5  Built on : Apr 30, 2009 (06:07:24 EDT)
 */

    package org.apache.stonehenge.stocktrader.config;

    /**
     *  ConfigServiceCallbackHandler Callback class, Users can extend this class and implement
     *  their own receiveResult and receiveError methods.
     */
    public abstract class ConfigServiceCallbackHandler{



    protected Object clientData;

    /**
    * User can pass in any object that needs to be accessed once the NonBlocking
    * Web service call is finished and appropriate method of this CallBack is called.
    * @param clientData Object mechanism by which the user can pass in user data
    * that will be avilable at the time this callback is called.
    */
    public ConfigServiceCallbackHandler(Object clientData){
        this.clientData = clientData;
    }

    /**
    * Please use this constructor if you don't want to set any clientData
    */
    public ConfigServiceCallbackHandler(){
        this.clientData = null;
    }

    /**
     * Get the client data
     */

     public Object getClientData() {
        return clientData;
     }

        
           /**
            * auto generated Axis2 call back method for getBSConfig method
            * override this method for handling normal response from getBSConfig operation
            */
           public void receiveResultgetBSConfig(
                    org.apache.stonehenge.stocktrader.config.trade.GetBSConfigResponse result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from getBSConfig operation
           */
            public void receiveErrorgetBSConfig(java.lang.Exception e) {
            }
                
           /**
            * auto generated Axis2 call back method for setClientToBS method
            * override this method for handling normal response from setClientToBS operation
            */
           public void receiveResultsetClientToBS(
                    org.apache.stonehenge.stocktrader.config.trade.SetClientToBSResponse result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from setClientToBS operation
           */
            public void receiveErrorsetClientToBS(java.lang.Exception e) {
            }
                
           /**
            * auto generated Axis2 call back method for getOPSConfig method
            * override this method for handling normal response from getOPSConfig operation
            */
           public void receiveResultgetOPSConfig(
                    org.apache.stonehenge.stocktrader.config.trade.GetOPSConfigResponse result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from getOPSConfig operation
           */
            public void receiveErrorgetOPSConfig(java.lang.Exception e) {
            }
                
           /**
            * auto generated Axis2 call back method for getOPSLocations method
            * override this method for handling normal response from getOPSLocations operation
            */
           public void receiveResultgetOPSLocations(
                    org.apache.stonehenge.stocktrader.config.trade.GetOPSLocationsResponse result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from getOPSLocations operation
           */
            public void receiveErrorgetOPSLocations(java.lang.Exception e) {
            }
                
           /**
            * auto generated Axis2 call back method for getClientConfig method
            * override this method for handling normal response from getClientConfig operation
            */
           public void receiveResultgetClientConfig(
                    org.apache.stonehenge.stocktrader.config.trade.GetClientConfigResponse result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from getClientConfig operation
           */
            public void receiveErrorgetClientConfig(java.lang.Exception e) {
            }
                
           /**
            * auto generated Axis2 call back method for getBSLocations method
            * override this method for handling normal response from getBSLocations operation
            */
           public void receiveResultgetBSLocations(
                    org.apache.stonehenge.stocktrader.config.trade.GetBSLocationsResponse result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from getBSLocations operation
           */
            public void receiveErrorgetBSLocations(java.lang.Exception e) {
            }
                
           /**
            * auto generated Axis2 call back method for setBSToOPS method
            * override this method for handling normal response from setBSToOPS operation
            */
           public void receiveResultsetBSToOPS(
                    org.apache.stonehenge.stocktrader.config.trade.SetBSToOPSResponse result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from setBSToOPS operation
           */
            public void receiveErrorsetBSToOPS(java.lang.Exception e) {
            }
                
           /**
            * auto generated Axis2 call back method for setServiceLocation method
            * override this method for handling normal response from setServiceLocation operation
            */
           public void receiveResultsetServiceLocation(
                    org.apache.stonehenge.stocktrader.config.trade.SetServiceLocationResponse result
                        ) {
           }

          /**
           * auto generated Axis2 Error handler
           * override this method for handling error response from setServiceLocation operation
           */
            public void receiveErrorsetServiceLocation(java.lang.Exception e) {
            }
                


    }
    