/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.stonehenge.stocktrader.dal;

import org.apache.stonehenge.stocktrader.CustomMarketSummaryBean;
import org.apache.stonehenge.stocktrader.CustomQuoteBean;

public interface MarketSummaryDAO {

	public CustomQuoteBean getQuote(String symbol) throws DAOException;
	
	public CustomQuoteBean getQuoteForUpdate(String symbol) throws DAOException;

	public void updateStockPriceVolume(double quantity, CustomQuoteBean quote)
			throws DAOException;

	public CustomMarketSummaryBean getCustomMarketSummary() throws DAOException;
	
}
